Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

libluajit-5_1-2-2.2.0-bp153.1.26 RPM for s390x

From OpenSuSE Leap 15.3 for s390x

Name: libluajit-5_1-2 Distribution: SUSE Linux Enterprise 15 SP3
Version: 2.2.0 Vendor: openSUSE
Release: bp153.1.26 Build date: Thu Feb 25 19:38:53 2021
Group: Unspecified Build host: s390p21
Size: 424112 Source RPM: moonjit-2.2.0-bp153.1.26.src.rpm
Packager: https://bugs.opensuse.org
Url: https://github.com/moonjit/moonjit
Summary: Library for JIT Lua compiler
Libraries to use JIT Lua compiler

Provides

Requires

License

MIT

Changelog

* Mon Mar 30 2020 Matej Cepl <mcepl@suse.com>
  - Add moonjit105-string_gsub.patch to fix gsub method, which breaks
    other packages (namely neovim).
* Thu Mar 12 2020 Tomáš Chvátal <tchvatal@suse.com>
  - No need to namespace luajit with update-alternatives, we really
    want just one version of it to be provided to keep things
    simple
* Thu Mar 12 2020 Tomáš Chvátal <tchvatal@suse.com>
  - Update to 2.2.0:
    * The v2.2 release of moonjit brings many new features that bring the
      project closer to its aim of unifying LuaJIT forks and compatibility
      with Lua.
  - Do not suffix the version anymore as we support all lua variants,
    removes the patch:
    * luajit-lua-versioned.patch
* Wed Dec 18 2019 Michel Normand <normand@linux.vnet.ibm.com>
  - Ignore make check error for PowerPC until upstream solved issue
    https://github.com/moonjit/moonjit/issues/40
  - do the same for %arm rather than to disable all %check.
* Mon Dec 16 2019 Guillaume GARDET <guillaume.gardet@opensuse.org>
  - Disable %check on %arm until the following issue is fixed:
    https://github.com/moonjit/moonjit/issues/9
* Thu Dec 12 2019 Andreas Schwab <schwab@suse.de>
  - Use %_lib
* Mon Dec 09 2019 Tomáš Chvátal <tchvatal@suse.com>
  - Obsolete/provide lua51-luajit as it was the old luajit name
* Fri Dec 06 2019 Tomáš Chvátal <tchvatal@suse.com>
  - Fork of luajit with more active upstream
  - Version 2.1.2 building on top of 2.1.0-beta3 with following goodies:
    * fix for CVE-2019-19391
    * Support for ppc64 ppc64le s390 s390x
  - Still carry the patch luajit-lua-versioned.patch to mark it as
    compatible with lua 5.1, future 2.2 release should contain
    support for 5.2 and 5.3 release of LUA

Files

/usr/lib64/libluajit-5.1.so.2
/usr/lib64/libluajit-5.1.so.2.2.0


Generated by rpm2html 1.8.1

Fabrice Bellet, Sun Jun 9 14:01:36 2024